Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI

Direct Known Subclasses:
  `BasicPopupMenuSeparatorUI`, `BasicToolBarSeparatorUI`, `MetalSeparatorUI`

public class BasicSeparatorUI extends SeparatorUI
A Basic L&F implementation of SeparatorUI. This implementation is a "combined" view/controller.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Color`
`highlight`
The color of the highlighting.
`protected Color`
`shadow`
The color of the shadow.

## Constructor Summary

Constructors
Constructor
Description
`BasicSeparatorUI()`
Constructs a `BasicSeparatorUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI​(JComponent c)`
Returns a new instance of `BasicSeparatorUI`.
`protected void`
`installDefaults​(JSeparator s)`
Installs default properties.
`protected void`
`installListeners​(JSeparator s)`
Registers listeners.
`protected void`
`uninstallDefaults​(JSeparator s)`
Uninstalls default properties.
`protected void`
`uninstallListeners​(JSeparator s)`
Unregisters listeners.

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### shadow

protected Color shadow
The color of the shadow.

### highlight

protected Color highlight
The color of the highlighting.

## Constructor Details

### BasicSeparatorUI

public BasicSeparatorUI()
Constructs a `BasicSeparatorUI`.

## Method Details

### createUI

public static ComponentUI createUI​(JComponent c)
Returns a new instance of `BasicSeparatorUI`.

Parameters:
  `c` - a component
Returns:
  a new instance of `BasicSeparatorUI`

### installDefaults

protected void installDefaults​(JSeparator s)
Installs default properties.

Parameters:
  `s` - an instance of `JSeparator`

### uninstallDefaults

protected void uninstallDefaults​(JSeparator s)
Uninstalls default properties.

Parameters:
  `s` - an instance of `JSeparator`

### installListeners

protected void installListeners​(JSeparator s)
Registers listeners.

Parameters:
  `s` - an instance of `JSeparator`

### uninstallListeners

protected void uninstallListeners​(JSeparator s)
Unregisters listeners.

Parameters:
  `s` - an instance of `JSeparator`